# NeuroHMMer - Identify homologs to known Neuropeptides

## Coming Soon. Alpha - Things may break...

This is a program that will utilise the power of Hidden Markov Model profiles to identify homologs to known neuropeptides. Neurohmmer uses 37 separate, precalculated models for each neuropeptide group. This allows for quick and accurate analysis of existing and newly sequenced transcriptomic or proteomic data. A typical analysis of a fasta file with 30,000 sequences takes under 5 minutes on an average machine.

If you use NeuroHMMer in your work, please cite us as follows:

> "Moghul I, Elphick MR, Wurm Y (<em>in prep.</em>) NeuroHMMer: identify homolgos to known neuropeptides"

### Neuropeptides Homologs

NeuroHmmer currently uses Hidden Markov Models for the following neuropeptides (in alphabetic order):

* Allatotropin
* Ambulacrarian/ Amphioxus NPS-like
* AVP
* Calcitonin/ DH31
* Cholecystokinin/ Sulfakinin
* Chordate Glucagon PACAP
* Chordate Neurotensin precursors neurotensin like Ciona
* Chordate OX26 QRFP
* Chordate somatostatin cortistatin like
* CRH/DH44
* Deutrostomian Tachykinin
* F-type SALMFamide
* Galanin
* Gastrin releasing peptide
* GnRH
* Hypocretin orexin
* L-type SALMFamide
* Lophotrochozoan luqin arthropod RYamide
* NMi pyrokinin
* NPFF
* NPS
* NPY / NPF
* Protostomian Allatostatin A / Buccalin
* Protostomian Allatostatin B
* Protostomian Allatostatin C
* Protostomian CCAP
* Protostomian CCH-amide
* Protostomian Ecdysis Triggering Hormone
* Protostomian Leucokinin
* Protostomian PDF
* Protostomian Proctolin
* Protostomian Tackykinin
* PTH
* Putative Chordate Opioid
* SIF
* TRH
* Vertebrate Ghrelin Motilin

## Installation
### Installation Requirements
* Ruby (>= 2.0.0)
* HMMer (>=3.0)

### Installation
Simply run the following command in the terminal.

```bash
gem install neurohmmer
```

If that doesn't work, try `sudo gem install neurohmmer` instead.

##### Running From Source (Not Recommended)
It is also possible to run from source. However, this is not recommended.

```bash
# Clone the repository.
git clone https://github.com/wurmlab/neurohmmer.git

# Move into NeuroHmmer source directory.
cd neurohmmer

# Install bundler
gem install bundler

# Use bundler to install dependencies
bundle install

# Optional: run tests, build documentation and build the gem from source
bundle exec rake

# Run NeuroHMMer.
bundle exec neurohmmer -h
# note that `bundle exec` executes NeuroHMMer in the context of the bundle

# Alternativaly, install NeuroHMMer as a gem
bundle exec rake install
neurohmmer -h
```

## Usage
Verify NeuroHMMer installed by running the following command in the terminal:

```bash
neurohmmer
```

You should see the following output.

```bash

DESCRIPTION:
Neurohmmer is a tool that identifies neuropeptide homologs by using the power
of Hidden Markov Models. Neurohmmer uses .. separate, precalculated models for
each neuropeptide group.

USAGE:
    neurohmmer [OPTIONS] Input_File

ARGUMENTS:


OPTIONAL ARGUMENTS
    -d, --temp_dir path_to_temp_dir  The full path to the temp directory. Neurohmmer creates this
                                      directory if it does already exist and then delete the directory
                                      once it has finished using them.
                                      Default: Hidden folder in the current working dirctory
    -n, --num_threads num_of_threads The number of threads to use when analysing the input file
        --version                    The version of Neurohmmer that you are running.
    -h, --help                       Show this screen.

```







## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/wurmlab/neurohmmer. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](contributor-covenant.org) code of conduct.
