# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'neurohmmer/version'

Gem::Specification.new do |s|
  s.name          = 'neurohmmer'
  s.version       = Neurohmmer::VERSION
  s.authors       = ['Ismail Moghul', 'Maurice Elphick', 'Yannick Wurm']
  s.email         = ['ismail.moghul@gmail.com']

  s.summary       = 'Identify Neuropeptides using powerful Hidden Markov' \
                    " Models.\n\n For further information please refer to:" \
                    ' https://github.com/wurmlab/neurohmmer'
  s.description   = 'Identify Neuropeptides using powerful Hidden Markov' \
                    " Models.\n\n For further information please refer to:" \
                    ' https://github.com/wurmlab/neurohmmer'
  s.homepage      = 'https://github.com/wurmlab/neurohmmer'
  s.license       = 'AGPL'

  s.files         = `git ls-files -z`.split("\x0")
  s.executables   = s.files.grep(%r{^bin/}) { |f| File.basename(f) }
  s.test_files    = s.files.grep(%r{^(test|spec|features)/})
  s.require_paths = ['lib']

  s.required_ruby_version = '>= 2.0.0'
  s.add_development_dependency 'bundler', '~> 1.10'
  s.add_development_dependency 'rake', '~> 10.0'
  s.add_development_dependency 'rspec', '~> 3.4'

  s.add_dependency 'bio', '~> 1.5'
  s.add_dependency 'bio-hmmer3_report', '~> 0.1'
  s.add_dependency 'slim', '~> 3.0'
end
